package de.w665.sharepulse.db.repo;

import com.rethinkdb.RethinkDB;
import com.rethinkdb.net.Connection;
import de.w665.sharepulse.db.RethinkDBConfig;
import de.w665.sharepulse.db.RethinkDBConnector;
import de.w665.sharepulse.model.UserLogin;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

@Repository
public class UserLoginRepository {
    private final RethinkDB r;
    private final Connection connection;
    private final RethinkDBConfig config;
    private final String TABLE_NAME = "user_logins";
    @Autowired
    public UserLoginRepository(RethinkDBConnector connector, RethinkDBConfig config) {
        this.r = connector.getR();
        this.connection = connector.getConnection();
        this.config = config;
    }

    public void insertUserLogin(UserLogin userLogin) {
        r.db(config.getDatabase()).table(TABLE_NAME).insert(userLogin).run(connection);
    }
}
